#include "DxLib.h"
#include "Keyboard.h"

static int m_Image;
static int m_y;

// 初期化をする
void Player_Initialize(){
	m_Image = LoadGraph("画像/キャラクタ01.png");
	m_y = 0;
}

// 動きを計算する
void Player_Update(){
	if( Keyboard_Get( KEY_INPUT_UP   ) > 0 ){
		m_y--;
	}
	if( Keyboard_Get( KEY_INPUT_DOWN ) > 0 ){
		m_y++;
	}
}

// 描画する
void Player_Draw(){
	DrawGraph( 0, m_y, m_Image, TRUE );
}

// 終了処理をする
void Player_Finalize(){
	DeleteGraph( m_Image );
}
